Subject: [PATCH] arm64: Kconfig: make SCHED_MC and SCHED_SMT depend on SMP

From: [email-masked] (Will Deacon)
Date: Thu, 14 Apr 2016 09:47:28 +0100

On Wed, Apr 13, 2016 at 05:54:12PM -0700, Yang Shi wrote:
> SCHED_MC and SCHED_SMT are pointless when SMP is disabled.
> Although SMP is rarely disabled for ARM64, it looks more consistent to have
> such depend in Kconfig.

You can't disable CONFIG_SMP for arm64 -- we select it unconditionally
in the kconfig.

Will